Pdef(\s2).play
(
Pbindef(\s2,
	\instrument, \bap,
	\degree, -1,
	\dur, 2,
	\octave, [2,3],
	\amp, 0.9,
	\legato, 1,
	// needs wrangled delay!
	\out, ~wranglerBus,
	\dlywet, Pstutter(8, Pfunc({~dlywrang1.set(\wet, rrand(0, ((3..6) * 0.1).choose ) ) })),
	
	\d1, Prand((1..5),inf),
	\d2,  Prand((1..5),inf),
	\d3, 5,
	\ffreq, 460
)
)
Pdef(\s2).stop


SynthDef(\bap, {
	arg freq=440, gate=1, out=0, amp=0.1, d1 = 5, d2 = 1, d3=5, ffreq=200;
	var snd = Saw.ar([freq, freq*1.01]);
	var env = Linen.kr(gate, releaseTime: 0.1, doneAction:2);
	snd = snd + SinOsc.ar([freq*0.99, freq]);
	snd = snd + Pulse.ar([freq*0.99, freq]);
	
	snd = snd.clip2(LFNoise1.ar(0.3).range(0.3,0.8)) * d1;
	snd = snd.wrap2(LFNoise1.ar(0.3).range(0.3,0.8)) * d2;
	snd = snd.fold2(LFNoise1.ar(0.3).range(0.3,0.8)) * d3;
	snd = LeakDC.ar(snd);
	snd = LPF.ar(snd, ffreq);
	snd = Limiter.ar(snd);
	snd = Splay.ar(snd);
	Out.ar(out, snd*env*amp);
}).add;